package cn.superdesk.uniorder.dao.entity.operation;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UnifiedOrderIssuesExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public UnifiedOrderIssuesExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    unified_order_issues
     *
     * Fri Jan 29 14:56:28 CST 2021
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromIsNull() {
            addCriterion("issues_come_from is null");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromIsNotNull() {
            addCriterion("issues_come_from is not null");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromEqualTo(Integer value) {
            addCriterion("issues_come_from =", value, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromNotEqualTo(Integer value) {
            addCriterion("issues_come_from <>", value, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromGreaterThan(Integer value) {
            addCriterion("issues_come_from >", value, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromGreaterThanOrEqualTo(Integer value) {
            addCriterion("issues_come_from >=", value, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromLessThan(Integer value) {
            addCriterion("issues_come_from <", value, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromLessThanOrEqualTo(Integer value) {
            addCriterion("issues_come_from <=", value, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromIn(List<Integer> values) {
            addCriterion("issues_come_from in", values, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromNotIn(List<Integer> values) {
            addCriterion("issues_come_from not in", values, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromBetween(Integer value1, Integer value2) {
            addCriterion("issues_come_from between", value1, value2, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andIssuesComeFromNotBetween(Integer value1, Integer value2) {
            addCriterion("issues_come_from not between", value1, value2, "issuesComeFrom");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIsNull() {
            addCriterion("unified_order_id is null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIsNotNull() {
            addCriterion("unified_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdEqualTo(Long value) {
            addCriterion("unified_order_id =", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotEqualTo(Long value) {
            addCriterion("unified_order_id <>", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdGreaterThan(Long value) {
            addCriterion("unified_order_id >", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("unified_order_id >=", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdLessThan(Long value) {
            addCriterion("unified_order_id <", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("unified_order_id <=", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIn(List<Long> values) {
            addCriterion("unified_order_id in", values, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotIn(List<Long> values) {
            addCriterion("unified_order_id not in", values, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdBetween(Long value1, Long value2) {
            addCriterion("unified_order_id between", value1, value2, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("unified_order_id not between", value1, value2, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNull() {
            addCriterion("order_sn is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNotNull() {
            addCriterion("order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnEqualTo(String value) {
            addCriterion("order_sn =", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotEqualTo(String value) {
            addCriterion("order_sn <>", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThan(String value) {
            addCriterion("order_sn >", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn >=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThan(String value) {
            addCriterion("order_sn <", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThanOrEqualTo(String value) {
            addCriterion("order_sn <=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLike(String value) {
            addCriterion("order_sn like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotLike(String value) {
            addCriterion("order_sn not like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnIn(List<String> values) {
            addCriterion("order_sn in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotIn(List<String> values) {
            addCriterion("order_sn not in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnBetween(String value1, String value2) {
            addCriterion("order_sn between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotBetween(String value1, String value2) {
            addCriterion("order_sn not between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andIsProblemIsNull() {
            addCriterion("is_problem is null");
            return (Criteria) this;
        }

        public Criteria andIsProblemIsNotNull() {
            addCriterion("is_problem is not null");
            return (Criteria) this;
        }

        public Criteria andIsProblemEqualTo(Integer value) {
            addCriterion("is_problem =", value, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemNotEqualTo(Integer value) {
            addCriterion("is_problem <>", value, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemGreaterThan(Integer value) {
            addCriterion("is_problem >", value, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_problem >=", value, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemLessThan(Integer value) {
            addCriterion("is_problem <", value, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemLessThanOrEqualTo(Integer value) {
            addCriterion("is_problem <=", value, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemIn(List<Integer> values) {
            addCriterion("is_problem in", values, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemNotIn(List<Integer> values) {
            addCriterion("is_problem not in", values, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemBetween(Integer value1, Integer value2) {
            addCriterion("is_problem between", value1, value2, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProblemNotBetween(Integer value1, Integer value2) {
            addCriterion("is_problem not between", value1, value2, "isProblem");
            return (Criteria) this;
        }

        public Criteria andIsProcessIsNull() {
            addCriterion("is_process is null");
            return (Criteria) this;
        }

        public Criteria andIsProcessIsNotNull() {
            addCriterion("is_process is not null");
            return (Criteria) this;
        }

        public Criteria andIsProcessEqualTo(Integer value) {
            addCriterion("is_process =", value, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessNotEqualTo(Integer value) {
            addCriterion("is_process <>", value, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessGreaterThan(Integer value) {
            addCriterion("is_process >", value, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_process >=", value, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessLessThan(Integer value) {
            addCriterion("is_process <", value, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessLessThanOrEqualTo(Integer value) {
            addCriterion("is_process <=", value, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessIn(List<Integer> values) {
            addCriterion("is_process in", values, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessNotIn(List<Integer> values) {
            addCriterion("is_process not in", values, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessBetween(Integer value1, Integer value2) {
            addCriterion("is_process between", value1, value2, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsProcessNotBetween(Integer value1, Integer value2) {
            addCriterion("is_process not between", value1, value2, "isProcess");
            return (Criteria) this;
        }

        public Criteria andIsResultIsNull() {
            addCriterion("is_result is null");
            return (Criteria) this;
        }

        public Criteria andIsResultIsNotNull() {
            addCriterion("is_result is not null");
            return (Criteria) this;
        }

        public Criteria andIsResultEqualTo(Integer value) {
            addCriterion("is_result =", value, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultNotEqualTo(Integer value) {
            addCriterion("is_result <>", value, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultGreaterThan(Integer value) {
            addCriterion("is_result >", value, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_result >=", value, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultLessThan(Integer value) {
            addCriterion("is_result <", value, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultLessThanOrEqualTo(Integer value) {
            addCriterion("is_result <=", value, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultIn(List<Integer> values) {
            addCriterion("is_result in", values, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultNotIn(List<Integer> values) {
            addCriterion("is_result not in", values, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultBetween(Integer value1, Integer value2) {
            addCriterion("is_result between", value1, value2, "isResult");
            return (Criteria) this;
        }

        public Criteria andIsResultNotBetween(Integer value1, Integer value2) {
            addCriterion("is_result not between", value1, value2, "isResult");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
    unified_order_issues
     *
     * do_not_delete_during_merge Fri Jan 29 14:56:28 CST 2021
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    unified_order_issues
     *
     * Fri Jan 29 14:56:28 CST 2021
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}